<?php // Google Analytics - Contextual Help

if (!defined('ABSPATH')) exit;

function ga_google_analytics_pro_contextual_help_sidebar() {
	
	return '<p><strong>'. esc_html__('Plugin Support', 'ga-google-analytics-pro') .'</strong></p>'.
		
		'<p>'. 
			esc_html__('Visit the', 'ga-google-analytics-pro') .' <a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/docs/ga-google-analytics/">'. esc_html__('GA Pro Docs', 'ga-google-analytics-pro') .'</a> '. esc_html__('at Plugin Planet.', 'ga-google-analytics-pro') .
		'</p>'.
		
		'<p>'. 
			esc_html__('Report an issue in the', 'ga-google-analytics-pro') .' <a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/forum/ga-google-analytics/">'. esc_html__('Support Forum', 'ga-google-analytics-pro') .'</a>. 
			<a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/ga-google-analytics-pro/#contact">'. esc_html__('Contact the developer', 'ga-google-analytics-pro') .'</a> '. esc_html__('for help.', 'ga-google-analytics-pro') .
		'</p>'.
		
		'<p><strong>'. esc_html__('Support GA Pro!', 'ga-google-analytics-pro') .'</strong></p>'.
		
		'<ul>'.
		'<li><a target="_blank" rel="noopener noreferrer" href="https://monzillamedia.com/donate.html">'. esc_html__('Make a donation&nbsp;&raquo;', 'ga-google-analytics-pro') .'</a></li>'.
		'<li><a target="_blank" rel="noopener noreferrer" href="https://wordpress.org/support/plugin/ga-google-analytics/reviews/?rate=5#new-post">'. esc_html__('Give 5&#10025; Rating&nbsp;&raquo;', 'ga-google-analytics-pro') .'</a></li>'.
		'</ul>'.
		
		'<div id="fb-root"></div>
		<script>(function(d, s, id) { var js, fjs = d.getElementsByTagName(s)[0]; if (d.getElementById(id)) return; js = d.createElement(s); js.id = id; js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.3"; fjs.parentNode.insertBefore(js, fjs); }(document, "script", "facebook-jssdk"));</script>
		<div class="share-button fb-share-button" data-href="https://plugin-planet.com/ga-google-analytics-pro/" data-layout="button"></div>'.
		'<div class="share-button twitter-share-button"><a href="https://twitter.com/perishable" class="twitter-follow-button" data-show-count="false" data-dnt="true"></a></div>'.
		'<div class="share-button twitter-share-button">
			<a href="https://twitter.com/share" class="twitter-share-button" data-url="https://wordpress.org/plugins/ga-google-analytics/" data-text="New WordPress Plugin! GA Pro: Google Analytics (features easy frontend Opt-Out Box)" data-via="perishable" data-count="none" data-hashtags="wordpress,plugin,google,analytics,seo" data-dnt="true">Tweet</a>
			<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?"http":"https";if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+"://platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document, "script", "twitter-wjs");</script>
		</div><br>';
	
}

function ga_google_analytics_pro_contextual_help() {
	
	$screen = get_current_screen();
	
	if ($screen->id != 'settings_page_ga-google-analytics-pro') return;
	
	$screen->set_help_sidebar(ga_google_analytics_pro_contextual_help_sidebar());
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'gapro-intro',
			'title' => esc_attr__('Introduction', 'ga-google-analytics-pro'),
			'content' => 
				
				'<p><strong>'. esc_html__('GA Google Analytics Pro', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('The easy way to add your Google Analytics tracking code! Gives you full control over GA tracking on your site. Super-duper lightweight and fast. ', 'ga-google-analytics-pro') . 
					esc_html__('Supports all the latest Google Analytics tracking techniques. Simply add your Tracking ID and done. After 24-48 hours, you can log in to your Google account and view all the wonderful statistics and data :)', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<p><strong>'. esc_html__('Useful Resources', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<ul>'.
					'<li><a target="_blank" rel="noopener noreferrer" href="'. GAPRO_URL  .'readme.txt">'.                  esc_html__('View the plugin readme.txt',              'ga-google-analytics-pro') .'</a></li>'.
					'<li><a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/docs/ga-google-analytics/">'.  esc_html__('Visit the GA Pro Documentation',          'ga-google-analytics-pro') .'</a></li>'.
					'<li><a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/category/tuts+ga-pro/">'.      esc_html__('Explore some GA Pro Tutorials',           'ga-google-analytics-pro') .'</a></li>'.
					'<li><a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/wp/wp-login.php">'.            esc_html__('Log in to your account at Plugin Planet', 'ga-google-analytics-pro') .'</a></li>'.
					'<li><a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/forum/ga-google-analytics/">'. esc_html__('Get help in the Support Forum',           'ga-google-analytics-pro') .'</a></li>'.
					'<li><a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/#contact">'.                   esc_html__('Contact the plugin developer for help',   'ga-google-analytics-pro') .'</a></li>'.
				'</ul>'.
				
				'<p><strong>'. esc_html__('About the Developer', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('GA Google Analytics Pro is developed by', 'ga-google-analytics-pro') .' <a target="_blank" rel="noopener noreferrer" href="https://twitter.com/perishable">'. esc_html__('Jeff Starr', 'ga-google-analytics-pro') .'</a>, '.
					esc_html__('10-year WordPress veteran and', 'ga-google-analytics-pro') .' <a target="_blank" rel="noopener noreferrer" href="https://books.perishablepress.com/">'. esc_html__('book author', 'ga-google-analytics-pro') .'</a>.'.
				'</p>'
			
		)
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'gapro-overview',
			'title' => esc_attr__('Overview', 'ga-google-analytics-pro'),
			'content' => 
				
				'<p><strong>'. esc_html__('How to use', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('Everything works out of the box. Simply enter your GA Tracking ID, save changes, and done. ',         'ga-google-analytics-pro') . 
					esc_html__('Your web pages will include all the necessary code to enable Google Analytics on your entire site. ', 'ga-google-analytics-pro') . 
				'</p>'. 
				
				'<p>'.
					esc_html__('After waiting 24-48 hours for Google to collect some data, you can log into your Google account and view your site statistics.', 'ga-google-analytics-pro') . 
				'</p>'. 
				
				'<p><strong>'. esc_html__('Going further', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. esc_html__('Of course much more is possible. Here is a quick overview:', 'ga-google-analytics-pro') .'</p>'.
				
				'<ul>'.
					'<li><a href="'. esc_url(admin_url('page=ga-google-analytics-pro&tab=tab1')) .'">'. esc_html__('Configure', 'ga-google-analytics-pro') .'</a> &ndash; '. esc_html__('Configure basic options', 'ga-google-analytics-pro')     .'</li>'.
					'<li><a href="'. esc_url(admin_url('page=ga-google-analytics-pro&tab=tab2')) .'">'. esc_html__('Customize', 'ga-google-analytics-pro') .'</a> &ndash; '. esc_html__('Add multiple GA trackers', 'ga-google-analytics-pro')  .'</li>'.
					'<li><a href="'. esc_url(admin_url('page=ga-google-analytics-pro&tab=tab3')) .'">'. esc_html__('Advanced',  'ga-google-analytics-pro') .'</a> &ndash; '. esc_html__('Disable tracking and more', 'ga-google-analytics-pro') .'</li>'.
					'<li><a href="'. esc_url(admin_url('page=ga-google-analytics-pro&tab=tab4')) .'">'. esc_html__('Opt Out',   'ga-google-analytics-pro') .'</a> &ndash; '. esc_html__('Display an opt out for visitors', 'ga-google-analytics-pro')     .'</li>'.
					'<li><a href="'. esc_url(admin_url('page=ga-google-analytics-pro&tab=tab5')) .'">'. esc_html__('About',     'ga-google-analytics-pro') .'</a> &ndash; '. esc_html__('About the plugin, WP, server, and more', 'ga-google-analytics-pro')  .'</li>'.
					'<li><a href="'. esc_url(admin_url('page=ga-google-analytics-pro&tab=tab6')) .'">'. esc_html__('License',   'ga-google-analytics-pro') .'</a> &ndash; '. esc_html__('Enter license key to enable GA Pro', 'ga-google-analytics-pro') .'</li>'.
				'</ul>'.
				
				'<p>'. esc_html__('Visit the other Help sections to learn more :)', 'ga-google-analytics-pro') .'</p>'
			
		)
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'gapro-configure',
			'title' => esc_attr__('Configure', 'ga-google-analytics-pro'),
			'content' => '<p><strong>'. esc_html__('Configuration', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('The settings under the Configuration tab are for your Primary Tracking ID. To add alternate tracking codes, visit the Customize tab.',     'ga-google-analytics-pro') . 
					esc_html__('The only required setting to add GA tracking is the Tracking ID. Everything else is optional, based on your configuration requirements. ', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<p>'.
					esc_html__('Most settings should be self-explanatory. If unsure about any setting, simply use the default value. For questions about the plugin, ', 'ga-google-analytics-pro') . 
					'<a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/ga-google-analytics-pro/#contact">'. esc_html__('contact the developer', 'ga-google-analytics-pro') .'</a>. '.
					esc_html__('For any questions about Google Analytics, ', 'ga-google-analytics-pro') . 
					'<a target="_blank" rel="noopener noreferrer" href="https://analytics.google.com/analytics/web/">'. esc_html__('log in to your Google account', 'ga-google-analytics-pro') .'</a> '.
					esc_html__('for information and support.', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<ul>'.
					'<li><strong>'. esc_html__('GA Tracking ID',         'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('(Required) Enter your Google Tracking ID',   'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Tracking Method',        'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Choose your preferred method of tracking',   'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Display Advertising',    'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Enable support for Display Advertising',     'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Link Attribution',       'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Enable support for Link Attribution',        'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('IP Anonymization',       'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Enable support for IP Anonymization',        'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Force SSL',              'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Enable support for Force SSL',               'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Tracking Code Location', 'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Include tracking code in header, footer, or custom location (see note below)', 'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Custom Tracker Objects', 'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Add any Custom Tracker Objects',             'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Custom GA Code',         'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Add any extra code that should be included', 'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Tracking Code Preview',  'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Check out a preview of your tracking code',  'ga-google-analytics-pro') .'</li>'.
				'</ul>'.
				
				'<p>
					<strong>'. esc_html__('Tip:', 'ga-google-analytics-pro') .'</strong> '.
					esc_html__('Google recommends including the tracking code in the page head, but including it in the footer can benefit page performance. If in doubt, go with the head option.', 'ga-google-analytics-pro') .
				'</p>'.
				
				'<p>
					<strong>'. esc_html__('Note:', 'ga-google-analytics-pro') .'</strong> '.
					esc_html__('For Tracking Code Location, if you choose the custom option, you can display the tracking code anywhere in your theme template by adding the following code to the desired location:', 'ga-google-analytics-pro') .
					' <code>&lt;?php do_action(\'gapro_after_body_open_tag\'); ?&gt;</code> '.
					'<a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/ga-pro-custom-tracking-location/">'. esc_html__('More info&nbsp;&raquo;', 'ga-google-analytics-pro') .'</a>'.
				'</p>'.
				
				'<p>'. 
					esc_html__('Further information and links to resources are provided next to each setting. For more information about the plugin, check out the ', 'ga-google-analytics-pro') .
					'<a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/docs/ga-google-analytics/">'. esc_html__('GA Pro Docs', 'ga-google-analytics-pro') .'</a> '.
					esc_html__('and', 'ga-google-analytics-pro') .' <a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/category/tuts+ga-pro/">'. esc_html__('Tutorials', 'ga-google-analytics-pro') .'</a>.'.
				'</p>'
			
		)
				
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'gapro-customize',
			'title' => esc_attr__('Customize', 'ga-google-analytics-pro'),
			'content' => '<p><strong>'. esc_html__('Customize GA Pro', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('The Customize tab provides settings to add multiple/custom tracking codes. Currently there are options to add three custom tracking codes to any post/page IDs. ', 'ga-google-analytics-pro') . 
					esc_html__('If more tracking options would be useful, please ', 'ga-google-analytics-pro') . 
					'<a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/ga-google-analytics-pro/#contact">'. esc_html__('let me know', 'ga-google-analytics-pro') .'</a>.'.
				'</p>'.
				
				'<p>'. 
					esc_html__('Each custom tracking code provides the following settings:', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<ul>'.
					'<li><strong>'. esc_html__('Custom Code',     'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Custom Code to include on the specified post/page IDs',             'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Enable Admin',    'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Include custom code on all pages in the WordPress Admin Area',      'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Enable Frontend', 'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Include custom code on all pages on the frontend',                  'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Post/Page IDs',   'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Specify the post IDs for which the custom code should be included', 'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Location',        'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Choose the location for the custom tracking code',                  'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Preview',         'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Preview of the custom code',                                        'ga-google-analytics-pro') .'</li>'.
				'</ul>'.
				
				'<p>'. 
					esc_html__('For more information, check out', 'ga-google-analytics-pro') .' <a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/ga-pro-custom-tracking/">'. esc_html__('custom tracking with GA Pro', 'ga-google-analytics-pro') .'</a>.'.
				'</p>'.
				
				'<p>
					<strong>'. esc_html__('Note:', 'ga-google-analytics-pro') .'</strong> '.
					esc_html__('The setting &ldquo;Post/Page IDs&rdquo; tells the plugin to include the custom code only on the specified posts/pages. This setting overrides the &ldquo;Enable Frontend&rdquo; setting.', 'ga-google-analytics-pro') .
				'</p>'.
				
				'<p>
					<strong>'. esc_html__('Note:', 'ga-google-analytics-pro') .'</strong> '.
					esc_html__('About the &ldquo;Location&rdquo; setting for each custom code: the options for &ldquo;Before&rdquo; and &ldquo;After&rdquo; Primary Tracking only apply when ', 'ga-google-analytics-pro') .
					'<a href="'. admin_url('options-general.php?page=ga-google-analytics-pro&tab=tab1') .'">'. esc_html__('Primary Tracking', 'ga-google-analytics-pro') .'</a> '.
					esc_html__('is enabled.', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<p>'. 
					esc_html__('Further information and links to resources are provided next to each setting. For more information about the plugin, check out the ', 'ga-google-analytics-pro') .
					'<a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/docs/ga-google-analytics/">'. esc_html__('GA Pro Docs', 'ga-google-analytics-pro') .'</a> '.
					esc_html__('and', 'ga-google-analytics-pro') .' <a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/category/tuts+ga-pro/">'. esc_html__('Tutorials', 'ga-google-analytics-pro') .'</a>.'.
				'</p>'
			
		)
				
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'gapro-advanced',
			'title' => esc_attr__('Advanced', 'ga-google-analytics-pro'),
			'content' => '<p><strong>'. esc_html__('Advanced Settings', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('The Advanced tab provides settings for enabling and disabling GA Pro for specific posts, pages, users, roles, post types and more. ',   'ga-google-analytics-pro') . 
					esc_html__('Most settings should be self-explanatory. If unsure about any setting, simply use the default value. For questions about the plugin, ', 'ga-google-analytics-pro') . 
					'<a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/ga-google-analytics-pro/#contact">'. esc_html__('contact the developer', 'ga-google-analytics-pro') .'</a>.'.
				'</p>'.
				
				'<p>'. 
					esc_html__('The following Advanced settings apply to *all* GA tracking codes:', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<ul>'.
					'<li><strong>'. esc_html__('Login Page',    'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Enable GA tracking on the WP Login Page', 'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Admin Area',    'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Enable GA tracking in the WP Admin Area', 'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Admin Users',   'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Disable tracking of Admin-level users',   'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Logged Users',  'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Disable tracking of all logged-in users', 'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Reset Options', 'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Restore the default plugin options',      'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Rate Plugin',   'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Show support with 5-star rating :)',      'ga-google-analytics-pro') .'</li>'.
				'</ul>'.
				
				'<p>'. 
					esc_html__('Advanced settings also include the following options. These apply only to your Primary Tracking code (i.e., the tracking set up under the Configure tab):', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<ul>'.
					'<li><strong>'. esc_html__('Disable tracking for Post IDs',   'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Disable tracking for specific Post IDs',   'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Disable tracking for User Roles', 'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Disable tracking for specific User Roles', 'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Disable tracking for Post Types', 'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Disable tracking for specific Post Types', 'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Disable tracking for Archives',   'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Disable tracking on archive views',        'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Disable tracking for Search',     'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Disable tracking on search results',       'ga-google-analytics-pro') .'</li>'.
				'</ul>'.
				
				'<p>'. 
					esc_html__('Further information and links to resources are provided next to each setting. For more information about the plugin, check out the ', 'ga-google-analytics-pro') .
					'<a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/docs/ga-google-analytics/">'. esc_html__('GA Pro Docs', 'ga-google-analytics-pro') .'</a> '.
					esc_html__('and', 'ga-google-analytics-pro') .' <a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/category/tuts+ga-pro/">'. esc_html__('Tutorials', 'ga-google-analytics-pro') .'</a>.'.
				'</p>'
			
		)
				
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'gapro-optout',
			'title' => esc_attr__('Opt Out', 'ga-google-analytics-pro'),
			'content' => '<p><strong>'. esc_html__('Opt Out Settings', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('The Opt-Out Box may be displayed to each visitor as a customizable banner. There the user can choose to opt in, opt out, or simply close the box to ignore. ',          'ga-google-analytics-pro') . 
					esc_html__('If ignored, tracking will continue until the user decides to opt out. Once enabled via the settings, the Opt-Out Box will be displayed to all visitors automatically.', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<p><strong>'. esc_html__('Important/Disclaimer', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('As far as I know, the Opt-Out Box satisfies even the most stringent governmental regulations regarding user privacy, etc. ',       'ga-google-analytics-pro') . 
					esc_html__('But I am a plugin developer, not a lawyer. So there are no guarantees implied or otherwise, and it is officially recommended ',      'ga-google-analytics-pro') . 
					esc_html__('that you consult a legal professional to ensure that you are operating legally, etc. If any feature or option needs added, please ', 'ga-google-analytics-pro') . 
					'<a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/ga-google-analytics-pro/#contact">'. esc_html__('let me know', 'ga-google-analytics-pro') .'</a>.'.
				'</p>'.
				
				'<p><strong>'. esc_html__('Cookie Use Information', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('When enabled, this plugin sets a few small/simple cookies in the visitor&rsquo;s web browser. This enables the Opt-Out Box to work its magic.', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<p><strong>'. esc_html__('Opt Out Settings', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('Here are the settings available under the Opt Out tab. Tip: to better understand what each setting does, enable the Opt-Out Box and check it out on the frontend.', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<ul>'.
					'<li><strong>'. esc_html__('Enable Opt Out',          'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Display the GA Pro Opt-Out Box',             'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Require Opt-In',          'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Do not track until user clicks to opt in',   'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Disable Auto-Hide',       'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Do not hide box after user opts in or out',  'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Box Location',            'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Location of the Opt-Out Box on the page',    'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Opt-Out Message',         'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Opt-Out message, must include Opt-Out Link', 'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Opt-Out Link',            'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Text for the Opt-Out Link',                  'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Opt-In Link',             'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Text for the Opt-In Link',                   'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Opt-Out Success Message', 'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Message displayed after user opts out',      'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Opt-In Success Message',  'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Message displayed after user opts in',       'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('More Info Text',          'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Text for the Information Link',              'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Box Styles',              'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Several options for customizing box colors', 'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Custom CSS',              'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Any custom CSS (do not include style tags)', 'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Disable Stylesheet',      'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Disable the Opt-Out Box CSS/stylesheet',     'ga-google-analytics-pro') .'</li>'.
				'</ul>'.
				
				'<p>'. 
					esc_html__('Most settings should be self-explanatory. If unsure about any setting, simply use the default value. For any questions, ', 'ga-google-analytics-pro') . 
					'<a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/ga-google-analytics-pro/#contact">'. esc_html__('contact the developer', 'ga-google-analytics-pro') .'</a>. '.
					esc_html__('Further information and links to resources are provided next to each setting. For more information about the plugin, check out the ', 'ga-google-analytics-pro') .
					'<a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/docs/ga-google-analytics/">'. esc_html__('GA Pro Docs', 'ga-google-analytics-pro') .'</a> '.
					esc_html__('and', 'ga-google-analytics-pro') .' <a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/category/tuts+ga-pro/">'. esc_html__('Tutorials', 'ga-google-analytics-pro') .'</a>.'.
				'</p>'.
				
				'<p>'. 
					'<strong>'. esc_html__('Note:', 'ga-google-analytics-pro') .'</strong> '. esc_html__('Basic markup is allowed in the setting, Opt-Out Message. So you can add links and other basic HTML tags as needed.', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<p>'. 
					'<strong>'. esc_html__('Note:', 'ga-google-analytics-pro') .'</strong> '. esc_html__('GA Pro provides several shortcodes for displaying the Opt-Out Box and plain-text links. Visit the "Shortcodes" section in this Help area for details.', 'ga-google-analytics-pro') . 
				'</p>'
			
		)
				
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'gapro-shortcodes',
			'title' => esc_attr__('Shortcodes', 'ga-google-analytics-pro'),
			'content' => '<p><strong>'. esc_html__('Opt-Out Shortcodes', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('GA Pro provides several shortcodes for displaying the Opt-Out Box and plain-text links. ', 'ga-google-analytics-pro') . 
					esc_html__('Here is a complete list with descriptions for each shortcode.', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<p><strong>'. esc_html__('Important!', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('If you copy any shortcode directly from this Help section, make sure to paste it into your page using the Plain-Text Editor (or block). ', 'ga-google-analytics-pro') . 
					esc_html__('Why? Because the Visual/RTE Editor may include the surrounding code tags and other markup, which may affect shortcode output on the front-end.', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<p><strong>'. esc_html__('Shortcode: Display Opt-Out Box', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('By default, GA Pro displays the Opt-Out Box on all of your WP-generated front-end web pages. ', 'ga-google-analytics-pro') .
					esc_html__('If you would rather display the Opt-Out Box selectively, only on specific posts or pages, you can add the following shortcode:', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<ul>
					<li><code>[ga_pro_optout]</code></li>
				</ul>'.
				
				'<p>'. 
					esc_html__('Important: This shortcode is recommended only when the plugin setting &ldquo;Enable Opt Out&rdquo; is disabled. ', 'ga-google-analytics-pro') . 
					esc_attr__('Otherwise there will be two (possibly overlapping) Opt-Out Boxes displayed on the same page, which could cause issues. ', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<p>'. 
					esc_html__('Note: To display opt-in and opt-out links inside of the Opt-Out Box, you can use these shortcodes (add via the &ldquo;Opt-Out Message&rdquo; setting).', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<ul>
					<li>'. esc_html__('Opt-in link:',  'ga-google-analytics-pro') .' <code>[ga_pro_optin_link]</code></li>
					<li>'. esc_html__('Opt-out link:', 'ga-google-analytics-pro') .' <code>[ga_pro_optout_link]</code></li>
				</ul>'.
				
				'<p>'. 
					esc_html__('You may use the following attributes with either of these shortcodes (opt-in link or opt-out link):', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<ul>
					<li><code>text</code> &mdash; '.  esc_html__('Customize the link text',  'ga-google-analytics-pro') .'</li>
					<li><code>title</code> &mdash; '. esc_html__('Customize the link title attribute',  'ga-google-analytics-pro') .'</li>
				</ul>'.
				
				'<p><strong>'. esc_html__('Shortcode: Display Opt-In Link', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('To display a plain-text link that enables the visitor to opt IN, add this shortcode to any WP Post or Page:', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<ul>
					<li><code>[gapro_optin_plain]</code></li>
				</ul>'.
				
				'<p>'. 
					esc_html__('You may use the following attributes with this shortcode:', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<ul>
					<li><code>text</code> &mdash; '.  esc_html__('Customize the link text', 'ga-google-analytics-pro') .'</li>
					<li><code>title</code> &mdash; '. esc_html__('Customize the link title attribute',  'ga-google-analytics-pro') .'</li>
					<li><code>alert</code> &mdash; '. esc_html__('Customize the popup/alert message',  'ga-google-analytics-pro') .'</li>
				</ul>'.
				
				'<p>'.
					esc_html__('Tip: you can add CSS/styles to this link via the class selector,', 'ga-google-analytics-pro') .' <code>.gapro-optin-plain</code>.'.
				'</p>'.
				
				'<p><strong>'. esc_html__('Shortcode: Display Opt-Out Link', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('To display a plain-text link that enables the visitor to opt OUT, add this shortcode to any WP Post or Page:', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<ul>
					<li><code>[gapro_optout_plain]</code></li>
				</ul>'.
				
				'<p>'. 
					esc_html__('You may use the following attributes with this shortcode:', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<ul>
					<li><code>text</code> &mdash; '.  esc_html__('Customize the link text', 'ga-google-analytics-pro') .'</li>
					<li><code>title</code> &mdash; '. esc_html__('Customize the link title attribute',  'ga-google-analytics-pro') .'</li>
					<li><code>alert</code> &mdash; '. esc_html__('Customize the popup/alert message',  'ga-google-analytics-pro') .'</li>
				</ul>'.
				
				'<p>'.
					esc_html__('Tip: you can add CSS/styles to this link via the class selector,', 'ga-google-analytics-pro') .' <code>.gapro-optout-plain</code>.'.
				'</p>'.
				
				'<p>'. 
					esc_html__('Note: the', 'ga-google-analytics-pro') .' <code>[gapro_optin_plain]</code> '. esc_html__('and', 'ga-google-analytics-pro') .' <code>[gapro_optout_plain]</code> '. 
					esc_html__('shortcodes may be used multiple times on the same page.', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<p><strong>'. esc_html__('Shortcode: Toggle Opt-Out Link', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('To display a plain-text link that toggles between opt-in and opt-out, add this shortcode to any WP Post or Page:', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<ul>
					<li><code>[gapro_optout_toggle]</code></li>
				</ul>'.
				
				'<p>'. 
					esc_html__('This shortcode accepts six optional parameters. Three for the Opt-Out Link, and three for the Opt-In Link:', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<ul>
					<li>'. esc_html__('Opt-Out Link attributes:', 'ga-google-analytics-pro') .'</li>
					<li><code>text1</code> &mdash; '.  esc_html__('Customize the link text', 'ga-google-analytics-pro') .'</li>
					<li><code>title1</code> &mdash; '. esc_html__('Customize the link title attribute',  'ga-google-analytics-pro') .'</li>
					<li><code>alert1</code> &mdash; '. esc_html__('Customize the popup/alert message',  'ga-google-analytics-pro') .'</li>
				</ul>
				
				<ul>
					<li>'. esc_html__('Opt-In Link attributes:', 'ga-google-analytics-pro') .'</li>
					<li><code>text2</code> &mdash; '.  esc_html__('Customize the link text', 'ga-google-analytics-pro') .'</li>
					<li><code>title2</code> &mdash; '. esc_html__('Customize the link title attribute',  'ga-google-analytics-pro') .'</li>
					<li><code>alert2</code> &mdash; '. esc_html__('Customize the popup/alert message',  'ga-google-analytics-pro') .'</li>
				</ul>'.
				
				'<p>'. 
					esc_html__('So basically there are two ways to use this shortcode. First way is to not add any attributes. When the shortcode does not have any attributes, the link will toggle between the default Opt-In/Opt-Out (plain-text) Links. ', 'ga-google-analytics-pro') .  
					esc_html__('The second way is to include all six of the above attributes. This enables you to customize the text, title, and alert for each of the toggle links.', 'gapro-toggle') . 
				'</p>'.
				
				'<p>'.
					esc_html__('Tip: you can add CSS/styles to the toggle link via the class selector,', 'gapro-toggle') .' <code>.gapro-optout-plain</code>.'.
				'</p>'
			
		)
				
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'gapro-about',
			'title' => esc_attr__('About', 'ga-google-analytics-pro'),
			'content' => '<p><strong>'. esc_html__('About/Information', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('This tab provides a plethora of information about the plugin, WordPress, the server, user, and more. ', 'ga-google-analytics-pro') . 
					esc_html__('This information is useful for troubleshooting, diagnoses, and so forth. ', 'ga-google-analytics-pro') . 
					esc_html__('The following information is available here on the About tab:', 'ga-google-analytics-pro') . 
				'</p>'.
				
				'<ul>'.
					'<li><strong>'. esc_html__('Plugin Information',    'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Infos about GA Pro',           'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('WordPress Information', 'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Infos about WordPress',        'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('User Information',      'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Infos about the current user', 'ga-google-analytics-pro') .'</li>'.
				'</ul>'.
				
				'<p>'. esc_html__('I&rsquo;ve also added a &ldquo;More from Plugin Author&rdquo; section. If you like GA Google Analytics, you should check out my other projects. Quality WordPress plugins and in-depth books on WordPress and web development. Check &rsquo;em out and boost your skills!', 'ga-google-analytics-pro') .'</p>'.
				
				'<p>'. 
					esc_html__('For more information about the plugin, check out the ', 'ga-google-analytics-pro') .
					'<a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/docs/ga-google-analytics/">'. esc_html__('GA Pro Docs', 'ga-google-analytics-pro') .'</a> '.
					esc_html__('and', 'ga-google-analytics-pro') .' <a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/category/tuts+ga-pro/">'. esc_html__('Tutorials', 'ga-google-analytics-pro') .'</a>.'.
				'</p>'
			
		)
				
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'gapro-license',
			'title' => esc_attr__('License', 'ga-google-analytics-pro'),
			'content' => '<p><strong>'. esc_html__('GA Pro License', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('Your purchase of GA Pro entitles you to free automatic updates according to the license terms. ', 'ga-google-analytics-pro') .
					esc_html__('To view your License Key at any time, ', 'ga-google-analytics-pro') . 
					'<a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/wp/wp-login.php">'. esc_html__('log in to your account', 'ga-google-analytics-pro') .'</a> '.
					esc_html__('at Plugin Planet.', 'ga-google-analytics-pro') .
				'</p>'. 
				
				'<p>'. esc_html__('To activate your license and enable the plugin, follow these steps:', 'ga-google-analytics-pro') .'</p>'. 
				
				'<ol>'. 
					'<li>'. esc_html__('Enter your license in the field and click &ldquo;Save License&rdquo;', 'ga-google-analytics-pro') .'</li>'. 
					'<li>'. esc_html__('Click the &ldquo;Activate License&rdquo; button', 'ga-google-analytics-pro') .'</li>'. 
					'<li>'. esc_html__('Done! GA Pro is now enabled and ready to use', 'ga-google-analytics-pro') .'</li>'. 
				'</ol>'. 
				
				'<p>'.
					'<strong>'. esc_html__('Important:', 'ga-google-analytics-pro') .'</strong> '. 
					esc_html__('remember to deactivate your license before uninstalling (deleting) the plugin, and/or transferring to a new domain. Learn more about ', 'ga-google-analytics-pro') .
					'<a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/transfer-plugin-license/">'. esc_html__('license transfers', 'ga-google-analytics-pro') .'</a>.'.
				'</p>'.
				
				'<p><strong>'. esc_html__('Notes:', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<ul>'. 
					'<li>'. esc_html__('To deactivate the license at any time, click the &ldquo;Deactivate License&rdquo; button', 'ga-google-analytics-pro') .'</li>'. 
					'<li>'. esc_html__('To clear the license field, deactivate the license and click the small &ldquo;&times;&rdquo; button', 'ga-google-analytics-pro') .'</li>'. 
					'<li>'. esc_html__('To show/hide your license, click the small &ldquo;eye&rdquo; button', 'ga-google-analytics-pro') .'</li>'. 
				'</ul>'.
				
				'<p>'. 
					esc_html__('For more information, visit the', 'ga-google-analytics-pro') . 
					' <a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/activate-deactivate-plugin-license/">'. esc_html__('activation guide', 'ga-google-analytics-pro') .'</a> '. 
					esc_html__('at Plugin Planet.', 'ga-google-analytics-pro') . 
				'</p>'
			
		)
				
	);
	
	$screen->add_help_tab(
		
		array(
			
			'id' => 'gapro-testing',
			'title' => esc_attr__('Testing', 'ga-google-analytics-pro'),
			'content' => '<p><strong>'. esc_html__('Testing GA Pro', 'ga-google-analytics-pro') .'</strong></p>'.
				
				'<p>'. 
					esc_html__('How do you know if the plugin is working? There are several ways:', 'ga-google-analytics-pro') .  
				'</p>'.
				
				'<ul>'.
					'<li><strong>'. esc_html__('Check the preview',         'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('Each tracking code provides a live preview that you can check', 'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Check the source code',     'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('View the source code to view your tracking code on the page',   'ga-google-analytics-pro') .'</li>'.
					'<li><strong>'. esc_html__('Check your Google Account', 'ga-google-analytics-pro') .'</strong> &mdash; '. esc_html__('If tracking is working, you will begin to see data in your GA account (after the initial 24-48 hour waiting period)', 'ga-google-analytics-pro') .'</li>'.
				'</ul>'.
				
				'<p>'. 
					esc_html__('Feel free to ', 'ga-google-analytics-pro') . 
					'<a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/ga-google-analytics-pro/#contact">'. esc_html__('contact me', 'ga-google-analytics-pro') .'</a> '.
					esc_html__('anytime with any questions or feedback, always glad to help. ', 'ga-google-analytics-pro') .
					
					esc_html__('For more information about the plugin, check out the ', 'ga-google-analytics-pro') .
					'<a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/docs/ga-google-analytics/">'. esc_html__('GA Pro Docs', 'ga-google-analytics-pro') .'</a> '.
					esc_html__('and', 'ga-google-analytics-pro') .' <a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/category/tuts+ga-pro/">'. esc_html__('Tutorials', 'ga-google-analytics-pro') .'</a>. '.
					
					esc_html__('For any questions about Google Analytics, ', 'ga-google-analytics-pro') . 
					'<a target="_blank" rel="noopener noreferrer" href="https://analytics.google.com/analytics/web/">'. esc_html__('log in to your Google account', 'ga-google-analytics-pro') .'</a> '.
					esc_html__('for information and support.', 'ga-google-analytics-pro') . 
				'</p>'
			
		)
		
	);
	
}
add_action('load-settings_page_ga-google-analytics-pro', 'ga_google_analytics_pro_contextual_help');
