<?php // Google Analytics - Settings About

if (!defined('ABSPATH')) die();

function ga_google_analytics_pro_access_message() {
	
	return $about_wp = __('Adminstrator-level access required to view this information.', 'ga-google-analytics-pro');
	
}

function ga_google_analytics_pro_is_multisite() {
	
	$multisite = __('MultiSite Installation', 'ga-google-analytics-pro');
	
	$standard = __('Standard Installation', 'ga-google-analytics-pro');
	
	$site = is_multisite() ? $multisite : $standard;
	
	return $site;
	
}

function ga_google_analytics_pro_uploads_directory() {
	
	$uploads_directory = defined('UPLOADS') ? UPLOADS : __('Undefined', 'ga-google-analytics-pro');
	
	$wp_upload_dir = wp_upload_dir(); 
	
	return isset($wp_upload_dir['baseurl']) ? $wp_upload_dir['baseurl'] : $uploads_directory;
	
}

function ga_google_analytics_pro_update_method() {
	
	$ftp = __('FTP/SSH access only', 'ga-google-analytics-pro');
	
	$direct = __('Direct access allowed', 'ga-google-analytics-pro');
	
	$filesystem_method = get_filesystem_method(array());
	
	return ($filesystem_method !== 'direct') ? $ftp : $direct;
	
}

function ga_google_analytics_pro_autosave() {
	
	$enabled = __('Enabled: ', 'ga-google-analytics-pro') . AUTOSAVE_INTERVAL .' '. __('seconds', 'ga-google-analytics-pro');
	
	return (AUTOSAVE_INTERVAL === false) ? __('Undefined', 'ga-google-analytics-pro') : $enabled;
	
}

function ga_google_analytics_pro_post_revisions() {
	
	$enabled = __('Undefined', 'ga-google-analytics-pro');
	
	$enabled = (defined('WP_POST_REVISIONS') && empty(WP_POST_REVISIONS)) ? __('Disabled', 'ga-google-analytics-pro') : __('Enabled:', 'ga-google-analytics-pro') .' '. WP_POST_REVISIONS;
	
	return (WP_POST_REVISIONS === true || WP_POST_REVISIONS === -1) ? __('Enabled: no limit', 'ga-google-analytics-pro') : $enabled;
	
}

function ga_google_analytics_pro_empty_trash() {
	
	$enabled = __('Enabled: ', 'ga-google-analytics-pro') . EMPTY_TRASH_DAYS . __(' days', 'ga-google-analytics-pro');
	
	return (!defined('EMPTY_TRASH_DAYS') || EMPTY_TRASH_DAYS === 0) ? __('Undefined', 'ga-google-analytics-pro') : $enabled;
	
}

function ga_google_analytics_pro_is_enabled($value) {
	
	return ($value == '1' || strtolower($value) === 'on') ? __('Enabled', 'ga-google-analytics-pro') : __('Disabled', 'ga-google-analytics-pro');
	
}

function ga_google_analytics_pro_return_bytes($value) {
	
	if (is_numeric($value)) {
		
		return $value;
		
	} else {
		
		$value_length = strlen($value);
		$qty = substr($value, 0, $value_length - 1);
		$unit = strtolower(substr($value, $value_length - 1 ));
		
		switch ($unit) {
			
			case 'k':
			$qty *= 1024;
			break;
			
			case 'm':
			$qty *= 1048576;
			break;
			
			case 'g':
			$qty *= 1073741824;
			break;
			
		}
		
		return $qty;
		
	}
		
}

function ga_google_analytics_pro_get_ip($override = false) {
	
	if (isset($_SERVER)) {
		
		$ip_address = $_SERVER['REMOTE_ADDR'];
		
		if (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
			
			$ip_address = $_SERVER['HTTP_X_FORWARDED_FOR'];
			
		} elseif (isset($_SERVER['HTTP_CLIENT_IP'])) {
			
			$ip_address = $_SERVER['HTTP_CLIENT_IP'];
			
		}
		
	} else {
		
		$ip_address = getenv('REMOTE_ADDR');
		
		if (getenv('HTTP_X_FORWARDED_FOR')) {
			
			$ip_address = getenv('HTTP_X_FORWARDED_FOR');
			
		} elseif (getenv('HTTP_CLIENT_IP')) {
			
			$ip_address = getenv('HTTP_CLIENT_IP');
			
		}
		
	}
	
	return $ip_address;
	
}

//

// About Plugin
function ga_google_analytics_pro_about_plugin() {
	
	$data = get_plugin_data(GAPRO_DIR .'ga-google-analytics-pro.php', false, false);
	
	$default = __('Undefined', 'ga-google-analytics-pro');
	
	$plugin[__('Plugin Name',     'ga-google-analytics-pro')] = isset($data['Name'])        ? esc_html($data['Name']) : esc_html($default);
	$plugin[__('Description',     'ga-google-analytics-pro')] = isset($data['Description']) ? esc_html($data['Description']) : esc_html($default);
	$plugin[__('Plugin URI',      'ga-google-analytics-pro')] = isset($data['PluginURI'])   ? '<a target="_blank" rel="noopener noreferrer" href="'. esc_url($data['PluginURI']) .'">'. esc_url($data['PluginURI']) .'</a>' : esc_html($default);
	$plugin[__('Version',         'ga-google-analytics-pro')] = isset($data['Version'])     ? esc_html($data['Version']) : esc_html($default);
	$plugin[__('Author',          'ga-google-analytics-pro')] = isset($data['Author'])      ? '<a target="_blank" rel="noopener noreferrer" href="https://twitter.com/perishable" title="Jeff Starr on Twitter">'. esc_html($data['Author']) .'</a>' : esc_html($default);
	$plugin[__('Author URI',      'ga-google-analytics-pro')] = isset($data['AuthorURI'])   ? '<a target="_blank" rel="noopener noreferrer" href="https://monzillamedia.com/">Monzilla Media</a> '. esc_html__('and', 'ga-google-analytics-pro') .' <a target="_blank" rel="noopener noreferrer" href="https://perishablepress.com/">Perishable Press</a>' : esc_html($default);
	$plugin[__('Text Domain',     'ga-google-analytics-pro')] = isset($data['TextDomain'])  ? '<code>'. esc_html($data['TextDomain']) .'</code>' : esc_html($default);
	$plugin[__('Domain Path',     'ga-google-analytics-pro')] = isset($data['DomainPath'])  ? '<code>'. esc_html($data['DomainPath']) .'</code>' : esc_html($default);
	$plugin[__('Donate Link',     'ga-google-analytics-pro')] = '<a target="_blank" rel="noopener noreferrer" href="https://monzillamedia.com/donate.html">https://monzillamedia.com/donate.html</a>';
	$plugin[__('Minimum Version', 'ga-google-analytics-pro')] = esc_html(GAPRO_REQUIRE);
	$plugin[__('Tested Up To',    'ga-google-analytics-pro')] = esc_html(GAPRO_TESTED);
	
	$about_plugin = '<ul>';
	
	foreach ($plugin as $key => $value) {
		
		$about_plugin .= '<li><strong>' . $key .':</strong> '. $value .'</li>';
		
	}
	
	$about_plugin .= '</ul>';
	
	return $about_plugin;
	
}

// About WordPress
function ga_google_analytics_pro_about_wp() {
	
	if (current_user_can('manage_options')) {
		
		$default = __('Undefined', 'ga-google-analytics-pro');
		
		$wp[__('WordPress Version',       'ga-google-analytics-pro')] = get_bloginfo('version');
		$wp[__('Installation Type',       'ga-google-analytics-pro')] = ga_google_analytics_pro_is_multisite();
		$wp[__('Update Method',           'ga-google-analytics-pro')] = ga_google_analytics_pro_update_method();
		$wp[__('WP Memory Limit',         'ga-google-analytics-pro')] = defined('WP_MEMORY_LIMIT') ? WP_MEMORY_LIMIT : $default;
		$wp[__('Site Address (URL)',      'ga-google-analytics-pro')] = get_home_url();
		$wp[__('WordPress Address (URL)', 'ga-google-analytics-pro')] = get_site_url();
		$wp[__('Language',                'ga-google-analytics-pro')] = get_bloginfo('language');
		$wp[__('Locale',                  'ga-google-analytics-pro')] = get_locale();
		$wp[__('WP Post Revisions',       'ga-google-analytics-pro')] = ga_google_analytics_pro_post_revisions();
		$wp[__('WP Autosave Interval',    'ga-google-analytics-pro')] = ga_google_analytics_pro_autosave();
		$wp[__('WP Empty Trash Interval', 'ga-google-analytics-pro')] = ga_google_analytics_pro_empty_trash();
		$wp[__('Current Theme',           'ga-google-analytics-pro')] = wp_get_theme();
		$wp[__('WordPress Time',          'ga-google-analytics-pro')] = current_time('mysql');
		$wp[__('Active Plugins',          'ga-google-analytics-pro')] = count(get_option('active_plugins'));
		$wp[__('WP Content Directory',    'ga-google-analytics-pro')] = content_url();
		$wp[__('WP Uploads Directory',    'ga-google-analytics-pro')] = ga_google_analytics_pro_uploads_directory();
		$wp[__('WP Language Directory',   'ga-google-analytics-pro')] = defined('WP_LANG_DIR') ? WP_LANG_DIR : $default;
		$wp[__('WP Temp Directory',       'ga-google-analytics-pro')] = defined('WP_TEMP_DIR') ? WP_TEMP_DIR : $default;
		$wp[__('Default Theme',           'ga-google-analytics-pro')] = defined('WP_DEFAULT_THEME') ? WP_DEFAULT_THEME : $default;	
		
		$about_wp = '<ul>';
		
		foreach ($wp as $key => $value) {
			
			$about_wp .= '<li><strong>' . esc_html($key) .':</strong> '. esc_html($value) .'</li>';
			
		}
		
		$about_wp .= '<ul>';
		
	} else {
		
		$about_wp = ga_google_analytics_pro_access_message();
		
	}
	
	return $about_wp;
	
}

// About User
function ga_google_analytics_pro_about_user() {
	
	if (current_user_can('manage_options')) {
		
		$default = __('Undefined', 'ga-google-analytics-pro');
		
		$current_user = wp_get_current_user();
		$user_name    = $current_user->user_login;
		$user_display = $current_user->display_name;
		$user_email   = $current_user->user_email;
		$user_ip      = ga_google_analytics_pro_get_ip(true);
		
		$user_agent     = isset($_SERVER['HTTP_USER_AGENT']) ? $_SERVER['HTTP_USER_AGENT']            : $default;
		$remote_address = isset($_SERVER['REMOTE_ADDR'])     ? gethostbyaddr($_SERVER['REMOTE_ADDR']) : $default;
		$user_port      = isset($_SERVER['REMOTE_PORT'])     ? $_SERVER['REMOTE_PORT']                : $default;
		$user_prot      = isset($_SERVER['SERVER_PROTOCOL']) ? $_SERVER['SERVER_PROTOCOL']            : $default;
		$user_http      = isset($_SERVER['HTTP_CONNECTION']) ? $_SERVER['HTTP_CONNECTION']            : $default;
		
		$user[__('Login/Username',  'ga-google-analytics-pro')] = $user_name;
		$user[__('Display Name',    'ga-google-analytics-pro')] = $user_display;
		$user[__('Email Address',   'ga-google-analytics-pro')] = $user_email;
		$user[__('IP Address',      'ga-google-analytics-pro')] = $user_ip;
		$user[__('User Agent',      'ga-google-analytics-pro')] = $user_agent;
		$user[__('Remote Address',  'ga-google-analytics-pro')] = $remote_address;
		$user[__('Remote Port',     'ga-google-analytics-pro')] = $user_port;
		$user[__('Server Protocol', 'ga-google-analytics-pro')] = $user_prot;
		$user[__('HTTP Connection', 'ga-google-analytics-pro')] = $user_http;
		
		$about_user  = '<ul>';
		
		foreach ($user as $key => $value) {
			
			$about_user .= '<li><strong>' . esc_html($key) .':</strong> '. esc_html($value) .'</li>';
			
		}
		
		$about_user .= '</ul>';
		
	} else {
		
		$about_user = ga_google_analytics_pro_access_message();
		
	}
	
	return $about_user;
	
}

// About More
function ga_google_analytics_pro_about_more() {
	
	$array = array(
		
		0  => '<a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/blackhole-pro/" title="Blackhole Pro: Death to Bad Bots">
					<img src="'. esc_url(GAPRO_URL) .'img/250x250-blackhole-pro.jpg" width="125" height="125" alt="Blackhole Pro: Advanced Bot Protection">
				</a>',
		
		1  => '<a target="_blank" rel="noopener noreferrer" href="https://wordpress.org/plugins/banhammer/" title="Banhammer: Protect &amp; Defend.">
					<img src="'. esc_url(GAPRO_URL) .'img/250x250-banhammer-pro.jpg" width="125" height="125" alt="Banhammer: Free WP Security Plugin">
				</a>',
		
		2  => '<a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/bbq-pro/" title="BBQ Pro: Fastest WordPress Firewall">
					<img src="'. esc_url(GAPRO_URL) .'img/250x250-bbq-pro.jpg" width="125" height="125" alt="BBQ Pro: Block Bad Queries">
				</a>',
		
		3  => '<a target="_blank" rel="noopener noreferrer" href="https://plugin-planet.com/usp-pro/" title="USP Pro: Ultimate Frontend Forms">
					<img src="'. esc_url(GAPRO_URL) .'img/250x250-usp-pro.jpg" width="125" height="125" alt="USP Pro: User Submitted Posts">
				</a>',
		
		4  => '<a target="_blank" rel="noopener noreferrer" href="https://digwp.com/book/" title="Take your WordPress skills to the next level">
					<img src="'. esc_url(GAPRO_URL) .'img/250x250-digging-into-wordpress.jpg" width="125" height="125" alt="eBook: Digging Into WordPress">
				</a>',
		
		5  => '<a target="_blank" rel="noopener noreferrer" href="https://htaccessbook.com/" title="Improve site performance and security">
					<img src="'. esc_url(GAPRO_URL) .'img/250x250-htaccess-made-easy.jpg" width="125" height="125" alt="eBook: .htaccess made easy">
				</a>',
		
		6  => '<a target="_blank" rel="noopener noreferrer" href="https://wp-tao.com/" title="Learn the Way of WordPress">
					<img src="'. esc_url(GAPRO_URL) .'img/250x250-tao-of-wordpress.jpg" width="125" height="125" alt="eBook: The Tao of WordPress">
				</a>',
		
		7  => '<a target="_blank" rel="noopener noreferrer" href="https://wp-tao.com/wordpress-themes-book/" title="Build &amp; Sell Awesome WP Themes">
					<img src="'. esc_url(GAPRO_URL) .'img/250x250-wp-themes-in-depth.jpg" width="125" height="125" alt="eBook: WordPress Themes In Depth">
				</a>',
		
	);
	
	$items = array_rand($array, 3);
	
	$item1 = isset($array[$items[0]]) ? $array[$items[0]] : 0;
	$item2 = isset($array[$items[1]]) ? $array[$items[1]] : 1;
	$item3 = isset($array[$items[2]]) ? $array[$items[2]] : 2;
	
	$output  = '<h2>'. esc_html__('More from Plugin Author', 'ga-google-analytics-pro') .'</h2>';
	$output .= '<p>'.  esc_html__('Check out more quality WordPress resources from the developer of GA Pro:', 'ga-google-analytics-pro') .'</p>';
	$output .= '<p>'.  $item1 . $item2 . $item3 .'</p>';
	
	return $output;
	
}

// Rate Plugin
function ga_google_analytics_pro_about_rate($text) {
	
	$url = 'https://wordpress.org/support/plugin/ga-google-analytics/reviews/?rate=5#new-post';
	
	return '<a target="_blank" rel="noopener noreferrer" href="'. esc_url($url) .'">'. esc_attr($text) .'&nbsp;&raquo;</a>';
	
}
