<?php // Google Analytics - Settings Callbacks

if (!defined('ABSPATH')) exit;


function ga_google_analytics_pro_settings_configure() {
	
	echo '<p>'. esc_html__('Configure options for your primary tracking code.', 'ga-google-analytics-pro') .'</p>';
	
}

function ga_google_analytics_pro_settings_custom1() {
	
	echo '<p>'. esc_html__('Here you can add custom tracking code to any posts or pages.', 'ga-google-analytics-pro') .'</p>';
	
}

function ga_google_analytics_pro_settings_custom2() {
	
	echo '<p>'. esc_html__('Here you can add custom tracking code to any posts or pages.', 'ga-google-analytics-pro') .'</p>';
	
}

function ga_google_analytics_pro_settings_custom3() {
	
	echo '<p>'. esc_html__('Here you can add custom tracking code to any posts or pages.', 'ga-google-analytics-pro') .'</p>';
	
}

function ga_google_analytics_pro_settings_custom4() {
	
	echo '<p>'. esc_html__('Here you can add custom tracking code to any posts or pages.', 'ga-google-analytics-pro') .'</p>';
	
}

function ga_google_analytics_pro_settings_custom5() {
	
	echo '<p>'. esc_html__('Here you can add custom tracking code to any posts or pages.', 'ga-google-analytics-pro') .'</p>';
	
}

function ga_google_analytics_pro_settings_custom6() {
	
	echo '<p>'. esc_html__('Here you can add custom tracking code to any posts or pages.', 'ga-google-analytics-pro') .'</p>';
	
}

function ga_google_analytics_pro_settings_customn() {
	
	echo esc_html__('Need more custom tracking options?', 'ga-google-analytics-pro') .' <a target="_blank" rel="noopener noreferrer" href="'. GAPRO_HOME .'/ga-google-analytics-pro/#contact">'. esc_html__('Let me know', 'ga-google-analytics-pro') .'</a>!';
	
}

function ga_google_analytics_pro_settings_advanced() {
	
	echo '<p>'. esc_html__('Here you can configure advanced options for', 'ga-google-analytics-pro') .' <a href="'. admin_url('options-general.php?page=ga-google-analytics-pro&tab=tab1') .'">'. esc_html__('Primary GA Tracking', 'ga-google-analytics-pro') .'</a>.</p>';
	
}

function ga_google_analytics_pro_settings_disable() {
	
	echo '<p>'. esc_html__('Here you can selectively disable your', 'ga-google-analytics-pro') .' <a href="'. admin_url('options-general.php?page=ga-google-analytics-pro&tab=tab1') .'">'. esc_html__('Primary GA Tracking', 'ga-google-analytics-pro') .'</a>.</p>';
	
}

function ga_google_analytics_pro_settings_optout() {
	
	echo '<p>'. esc_html__('Here you can enable and customize the GA Opt-Out Box.', 'ga-google-analytics-pro') .'</p>';
	
}

function ga_google_analytics_pro_settings_optbox() {
	
	echo '<p>'. esc_html__('Further options for customizing the Opt-Out Box.', 'ga-google-analytics-pro') .'</p>';
	
}

function ga_google_analytics_pro_settings_about() {
	
	echo '<h2>'. esc_html__('Technical Information', 'ga-google-analytics-pro') .'</h2>';
	echo '<p>'. esc_html__('Here you&rsquo;ll find information about GA Pro, WordPress, the server, current user, and more.', 'ga-google-analytics-pro') .'</p>';
	echo '<p>'. __('Help keep GA Pro going strong! Visit WordPress.org to', 'ga-google-analytics-pro') .' '. ga_google_analytics_pro_about_rate(__('give a 5-star rating', 'ga-google-analytics-pro')) .'</p>';
	
	echo '<div class="gapro-about-plugin">';
	echo '<h3><a id="gapro-toggle-1" class="gapro-toggle-1" href="#gapro-toggle-1" title="Show/Hide Info">Plugin Information</a></h3>';
	echo '<div class="gapro-section-1 gapro-section default-hidden">';
	echo ga_google_analytics_pro_about_plugin();
	echo '</div>';
	echo '</div>';
	
	echo '<div class="gapro-about-wp">';
	echo '<h3><a id="gapro-toggle-2" class="gapro-toggle-2" href="#gapro-toggle-2" title="Show/Hide Info">WordPress Information</a></h3>';
	echo '<div class="gapro-section-2 gapro-section default-hidden">';
	echo ga_google_analytics_pro_about_wp();
	echo '</div>';
	echo '</div>';
	
	echo '<div class="gapro-about-user">';
	echo '<h3><a id="gapro-toggle-5" class="gapro-toggle-5" href="#gapro-toggle-5" title="Show/Hide Info">User Information</a></h3>';
	echo '<div class="gapro-section-5 gapro-section default-hidden">';
	echo ga_google_analytics_pro_about_user();
	echo '</div>';
	echo '</div>';
	
	echo '<div class="gapro-about-more">';
	echo ga_google_analytics_pro_about_more();
	echo '</div>';
	
}

function ga_google_analytics_pro_options_libraries() {
	
	$url1 = 'https://developers.google.com/analytics/devguides/collection/analyticsjs/';
	$url2 = 'https://developers.google.com/analytics/devguides/collection/gtagjs/';
	$url3 = 'https://developers.google.com/analytics/devguides/collection/gajs/';
	
	$link1 = '<a target="_blank" rel="noopener noreferrer" href="'. $url1 .'">'. esc_html__('Universal Analytics', 'ga-google-analytics-pro') .'</a> ';
	$link2 = '<a target="_blank" rel="noopener noreferrer" href="'. $url2 .'">'. esc_html__('Global Site Tag', 'ga-google-analytics-pro') .'</a> ';
	$link3 = '<a target="_blank" rel="noopener noreferrer" href="'. $url3 .'">'. esc_html__('Legacy', 'ga-google-analytics-pro') .'</a> ';
	
	return array(
		
		1 => array(
			'value' => 1,
			'label' => $link1 .' <span class="gapro-note">/</span> <code>analytics.js</code> <span class="gapro-note">'. esc_html__('(default)', 'ga-google-analytics-pro') .'</span>'
		),
		2 => array(
			'value' => 2,
			'label' => $link2 .' <span class="gapro-note">/</span> <code>gtag.js</code> <span class="gapro-note">'. esc_html__('(new method)', 'ga-google-analytics-pro') .'</span>'
		), 
		3 => array(
			'value' => 3,
			'label' => $link3 .' <span class="gapro-note">/</span> <code>ga.js</code> <span class="gapro-note">'. esc_html__('(deprecated)', 'ga-google-analytics-pro') .'</span>'
		),
	);
	
}

function ga_google_analytics_pro_options_location() {
	
	return array(
		
		0 => array(
			'value' => 0,
			'label' => esc_html__('Include tracking code in page head', 'ga-google-analytics-pro') .' <span class="gapro-note">'. esc_html__('(via', 'ga-google-analytics-pro') .' <code>wp_head</code>'. esc_html__(')', 'ga-google-analytics-pro') .'</span>'
		),
		1 => array(
			'value' => 1,
			'label' => esc_html__('Include tracking code in page footer', 'ga-google-analytics-pro') .' <span class="gapro-note">'. esc_html__('(via', 'ga-google-analytics-pro') .' <code>wp_footer</code>'. esc_html__(')', 'ga-google-analytics-pro') .'</span>'
		),
		2 => array(
			'value' => 2,
			'label' => esc_html__('Include tracking code in custom location', 'ga-google-analytics-pro') .' <span class="gapro-note">'. esc_html__('(via custom action hook)', 'ga-google-analytics-pro') .'</span>'
		),
	);
	
}

function ga_google_analytics_pro_options_position() {
	
	return array(
		
		0 => array(
			'value' => 0,
			'label' => esc_html__('Header - Before Primary Tracking', 'ga-google-analytics-pro')
		),
		1 => array(
			'value' => 1,
			'label' => esc_html__('Header - After Primary Tracking', 'ga-google-analytics-pro')
		),
		2 => array(
			'value' => 2,
			'label' => esc_html__('Footer - Before Primary Tracking', 'ga-google-analytics-pro')
		),
		3 => array(
			'value' => 3,
			'label' => esc_html__('Footer - After Primary Tracking', 'ga-google-analytics-pro')
		)
	);
	
}

function ga_google_analytics_pro_options_optout() {
	
	return array(
		
		0 => array(
			'value' => 0,
			'label' => esc_html__('Bottom', 'ga-google-analytics-pro')
		),
		1 => array(
			'value' => 1,
			'label' => esc_html__('Top', 'ga-google-analytics-pro') 
		)
	);
	
}

function ga_google_analytics_pro_callback_text($args) {
	
	$id      = isset($args['id'])      ? $args['id']      : '';
	$label   = isset($args['label'])   ? $args['label']   : '';
	$section = isset($args['section']) ? $args['section'] : null;
	
	$options = ga_google_analytics_pro_get_options($section);
	
	$value = isset($options[$id]) ? $options[$id] : '';
	
	$name = 'gapro_'. $section .'['. $id .']';
	
	$type = 'text';
	
	if ($id === 'css_color_text' || $id === 'css_color_bg' || $id === 'css_color_link' || $id === 'css_color_hover') {
		
		$type = 'text'; // color input not working properly in Chrome
		
	}
	
	$atts = '';
	
	if ($id === 'gapro_id') {
		
		$atts = ' size="30" maxlength="30"';
		
	}
	
	$class = ($id === 'gapro_id') ? ' class="gapro-note"' : '';
	
	echo '<input id="'. esc_attr($name) .'" name="'. esc_attr($name) .'" type="'. esc_attr($type) .'"'. $atts .' class="regular-text" value="'. esc_attr($value) .'">';
	echo '<label for="'. esc_attr($name) .'"'. $class .'>'. esc_html($label) .'</label>';
	
}

function ga_google_analytics_pro_callback_textarea($args) {
	
	$id      = isset($args['id'])      ? $args['id']      : '';
	$label   = isset($args['label'])   ? $args['label']   : '';
	$section = isset($args['section']) ? $args['section'] : null;
	
	$options = ga_google_analytics_pro_get_options($section);
	
	$value = isset($options[$id]) ? $options[$id] : '';
	
	$allowed_tags = wp_kses_allowed_html('post');
	
	$rows  = ($section === 'appearance') ? '5' : '3';
	$cols  = ($section === 'appearance') ? '50' : '30';
	
	$name = 'gapro_'. $section .'['. $id .']';
	
	echo '<textarea id="'. esc_attr($name) .'" name="'. esc_attr($name) .'" rows="'. esc_attr($rows) .'" cols="'. esc_attr($cols) .'" class="large-text code">'. stripslashes(rtrim($value)) .'</textarea>';
	echo '<label for="'. esc_attr($name) .'">'. $label .'</label>';
	
}

function ga_google_analytics_pro_callback_checkbox($args) {
	
	$id      = isset($args['id'])      ? $args['id']      : '';
	$label   = isset($args['label'])   ? $args['label']   : '';
	$section = isset($args['section']) ? $args['section'] : null;
	
	$options = ga_google_analytics_pro_get_options($section);
	
	$value = isset($options[$id]) ? $options[$id] : '';
	
	$name = 'gapro_'. $section .'['. $id .']';
	
	echo '<input id="'. esc_attr($name) .'" name="'. esc_attr($name) .'" type="checkbox" '. checked($value, 1, false) .' value="1"> ';
	echo '<label for="'. esc_attr($name) .'" class="inline-block">'. $label .'</label>';
	
}

function ga_google_analytics_pro_callback_select($args) {
	
	$id      = isset($args['id'])      ? $args['id']      : '';
	$label   = isset($args['label'])   ? $args['label']   : '';
	$section = isset($args['section']) ? $args['section'] : null;
	
	$options = ga_google_analytics_pro_get_options($section);
	
	$value = isset($options[$id]) ? $options[$id] : '';
	
	$name = 'gapro_'. $section .'['. $id .']';
	
	$options_array = array();
	
	if (
		$id === 'custom1_position' || 
		$id === 'custom2_position' || 
		$id === 'custom3_position' || 
		$id === 'custom4_position' || 
		$id === 'custom5_position' || 
		$id === 'custom6_position'
	) {
		
		$options_array = ga_google_analytics_pro_options_position();
		
	} elseif ($id === 'css_location') {
		
		$options_array = ga_google_analytics_pro_options_optout();
		
	}
	
	echo '<select id="'. esc_attr($name) .'" name="'. esc_attr($name) .'">';
	
	foreach ($options_array as $option) {
		
		$option_value = isset($option['value']) ? $option['value'] : '';
		$option_label = isset($option['label']) ? $option['label'] : '';
		
		echo '<option '. selected($option_value, $value, false) .' value="'. esc_attr($option_value) .'">'. esc_html($option_label) .'</option>';
	}
	
	echo '</select> <label for="'. esc_attr($name) .'" class="inline-block">'. esc_html($label) .'</label>';
	
}

function ga_google_analytics_pro_callback_radio($args) {
	
	$id      = isset($args['id'])      ? $args['id']      : '';
	$label   = isset($args['label'])   ? $args['label']   : '';
	$section = isset($args['section']) ? $args['section'] : null;
	
	$options = ga_google_analytics_pro_get_options($section);
	
	$value = isset($options[$id]) ? $options[$id] : '';
	
	$name = 'gapro_'. $section .'['. $id .']';
	
	$options_array = array();
	
	if ($id === 'gapro_library') {
		
		$options_array = ga_google_analytics_pro_options_libraries();
		
	} elseif ($id === 'gapro_location') {
		
		$options_array = ga_google_analytics_pro_options_location();
		
	}
	
	echo '<label for="'. esc_attr($name) .'" class="gapro-note">'. esc_html($label) .'</label>';
	echo '<ul>';
	
	$class = '';
	
	foreach ($options_array as $option) {
		
		$option_value = isset($option['value']) ? $option['value'] : '';
		$option_label = isset($option['label']) ? $option['label'] : '';
		
		$checked = checked($value, $option_value, false);
		
		if ($id === 'gapro_library') {
			
			$class = ($option_value == 2) ? ' class="gapro-gtag gapro-toggle-close"' : ' class="gapro-toggle-open"';
			
		}
		
		echo '<li><input '. $class . $checked .' type="radio" id="'. esc_attr($name) .'" name="'. esc_attr($name) .'" value="'. esc_attr($option_value) .'"> '. $option_label .'</li>';
		
	}
	
	echo '</ul>';
	
}

function ga_google_analytics_pro_callback_reset($args) {
	
	$nonce = wp_create_nonce('gapro_reset_options');
	
	$href  = add_query_arg(array('gapro-reset-options' => $nonce), admin_url(GAPRO_PATH));
	
	$label = isset($args['label']) ? $args['label'] : esc_html__('Restore default plugin options', 'ga-google-analytics-pro');
	
	echo '<a class="gapro-reset-options" href="'. esc_url($href) .'">'. esc_html($label) .'</a>';
	
}

function ga_google_analytics_pro_callback_rate($args) {
	
	$href  = 'https://wordpress.org/support/plugin/ga-google-analytics/reviews/?rate=5#new-post';
	
	$title = esc_attr__('Let others know about GA Pro! A huge THANK YOU for your support!', 'ga-google-analytics-pro');
	
	$text  = isset($args['label']) ? $args['label'] : esc_html__('Show support with a 5-star rating&nbsp;&raquo;', 'ga-google-analytics-pro');
	
	echo '<a class="gapro-rate-plugin" target="_blank" rel="noopener noreferrer" href="'. esc_url($href) .'" title="'. esc_attr($title) .'">'. esc_html($text) .'</a>';
	
}

function ga_google_analytics_pro_callback_preview($args) {
	
	$label   = isset($args['label'])   ? $args['label']   : '';
	$preview = isset($args['preview']) ? $args['preview'] : '';
	
	$class = 'gapro-preview';
	
	extract(ga_google_analytics_pro_options());
	
	ob_start();
	
	if (!empty($gapro_id) && intval($preview) === 0) {
		
		ga_google_analytics_pro_tracking_code(true);
		
	} elseif (!empty($custom1_code) && intval($preview) === 1) {
		
		ga_google_analytics_pro_custom_code_1(true);
		
		$class .= ' gapro-preview-custom';
		
	} elseif (!empty($custom2_code) && intval($preview) === 2) {
		
		ga_google_analytics_pro_custom_code_2(true);
		
		$class .= ' gapro-preview-custom';
		
	} elseif (!empty($custom3_code) && intval($preview) === 3) {
		
		ga_google_analytics_pro_custom_code_3(true);
		
		$class .= ' gapro-preview-custom';
		
	} elseif (!empty($custom4_code) && intval($preview) === 4) {
		
		ga_google_analytics_pro_custom_code_4(true);
		
		$class .= ' gapro-preview-custom';
		
	} elseif (!empty($custom5_code) && intval($preview) === 5) {
		
		ga_google_analytics_pro_custom_code_5(true);
		
		$class .= ' gapro-preview-custom';
		
	} elseif (!empty($custom6_code) && intval($preview) === 6) {
		
		ga_google_analytics_pro_custom_code_6(true);
		
		$class .= ' gapro-preview-custom';
		
	}
	
	$output = ob_get_clean();
	
	echo '<pre class="'. $class .'">'. htmlentities(stripslashes(rtrim($output))) .'</pre>';
	echo '<div class="gapro-preview-desc">'. esc_html($label) .'</div>';
	
}
