<?php // Google Analytics - Reset Settings

if (!defined('ABSPATH')) exit;

function ga_google_analytics_pro_admin_notices() {
			
	$screen = get_current_screen();
	
	if (!property_exists($screen, 'id')) return;
	
	if ($screen->id === 'settings_page_ga-google-analytics-pro') {
		
		if (isset($_GET['gapro-reset-options'])) {
			
			if ($_GET['gapro-reset-options'] === 'true') : ?>
				
				<div class="notice notice-success is-dismissible"><p><strong><?php esc_html_e('Default options restored.', 'ga-google-analytics-pro'); ?></strong></p></div>
				
			<?php else : ?>
				
				<div class="notice notice-info is-dismissible"><p><strong><?php esc_html_e('No changes made to options.', 'ga-google-analytics-pro'); ?></strong></p></div>
				
			<?php endif;
			
		}
		
	}
	
}

function ga_google_analytics_pro_reset_options() {
	
	if (isset($_GET['gapro-reset-options']) && wp_verify_nonce($_GET['gapro-reset-options'], 'gapro_reset_options')) {
		
		if (!current_user_can('manage_options')) exit;
		
		$update_configure = delete_option('gapro_configure');
		$update_customize = delete_option('gapro_customize');
		$update_advanced  = delete_option('gapro_advanced');
		$update_optout    = delete_option('gapro_optout');
		
		$result = ($update_configure || $update_customize || $update_advanced || $update_optout) ? 'true' : 'false';
		
		$location = add_query_arg(array('gapro-reset-options' => $result), admin_url(GAPRO_PATH));
		
		wp_redirect(esc_url_raw($location));
		
		exit;
		
	}
	
}
