/* GA Google Analytics Pro - Opt-Out Box */

(function($) {
	
	'use strict';
	
	if (document.cookie.indexOf('gapro-close=1') > -1) {
		$('.ga-google-analytics-pro-optout').addClass('ga-google-analytics-pro-optout-closed');
		gapro_optout_close();
	} else {
		$('.ga-google-analytics-pro-optout').addClass('ga-google-analytics-pro-optout-open');
		gapro_optout_open();
	}
	
	if (document.cookie.indexOf('gapro-optout=1') > -1) {
		$('.ga-google-analytics-pro-optout-message').text(gapro.success_optout);
	}
	
	if (document.cookie.indexOf('gapro-optin=1') > -1) {
		$('.ga-google-analytics-pro-optout-message').text(gapro.success_optin);
	}
	
	document.addEventListener('click', function(e) {
		if (!e.target.matches('.ga-google-analytics-pro-optout-close')) return;
		e.preventDefault();
		gapro_cookie_close();
		gapro_optout_close();
	}, false);
	
	document.addEventListener('click', function(e) {
		if (!e.target.matches('.ga-google-analytics-pro-optout-info')) return;
		e.preventDefault();
		if ($('.ga-google-analytics-pro-optout').hasClass('ga-google-analytics-pro-optout-closed')) {
			gapro_cookie_remove('close');
			gapro_optout_open();
		} else {
			alert(gapro.info_text);
		}
	}, false);
	
	document.addEventListener('click', function(e) {
		if (!e.target.matches('.ga-google-analytics-pro-optout-link')) return;
		e.preventDefault();
		$('.ga-google-analytics-pro-optout').find('.ga-google-analytics-pro-optout-message').text(gapro.success_optout);
		gapro_cookie_remove('optin');
		gapro_cookie_optout();
	}, false);
	
	document.addEventListener('click', function(e) {
		if (!e.target.matches('.ga-google-analytics-pro-optin-link')) return;
		e.preventDefault();
		$('.ga-google-analytics-pro-optout').find('.ga-google-analytics-pro-optout-message').text(gapro.success_optin);
		gapro_cookie_remove('optout');
		gapro_cookie_optin();
	}, false);
	
	function gapro_optout_open() {
		var box = $('.ga-google-analytics-pro-optout');
		box.addClass('ga-google-analytics-pro-optout-open');
		box.removeClass('ga-google-analytics-pro-optout-closed');
		box.animate({ 'width': '100%', 'opacity': 1 }, 300, function() {
			box.find('.ga-google-analytics-pro-optout-close').show();
			box.find('.ga-google-analytics-pro-optout-message').fadeIn(100);
		}).css('display', 'block');
	}
	
	function gapro_optout_close() {
		var box = $('.ga-google-analytics-pro-optout');
		box.css('left', 'auto').css('right', 0);
		box.find('.ga-google-analytics-pro-optout-close').hide();
		box.find('.ga-google-analytics-pro-optout-message').hide();
		box.animate({ 'width': '40px', 'opacity': 0.8 }, 300).css('display', 'block');
		box.addClass('ga-google-analytics-pro-optout-closed');
		box.removeClass('ga-google-analytics-pro-optout-open');
		if (gapro.disable_hide == 0) {
			if (document.cookie.indexOf('gapro-optout=1') > -1 || document.cookie.indexOf('gapro-optin=1') > -1) {
				box.fadeOut(300);
			}
		}
	}
	
})(jQuery);