<?php

/* --------------------------
 *        INITIALIZE
 * -------------------------- */

function xmlsf_advanced_news() {

	// Upgrade/install, maybe...
	$db_version = get_option( 'xmlsf_advanced_news_version', 0 );
	if ( ! version_compare( XMLSF_NEWS_ADV_VERSION, $db_version, '=' ) ) {
		include XMLSF_NEWS_ADV_DIR . '/controllers/upgrade.php';
		new XMLSitemapFeed_News_Advanced_Upgrade( $db_version );
	}

	$sitemaps = get_option( 'xmlsf_sitemaps' );

	if ( ! empty( $sitemaps['sitemap-news'] ) ) {
		include XMLSF_NEWS_ADV_DIR . '/controllers/main.php';
		xmlsf_news_taxonomies();
		add_action( 'xmlsf_ping', 'xmlsf_news_log_ping', 10, 4 );

		include XMLSF_NEWS_ADV_DIR . '/models/global.php';
		add_filter( 'request', 'xmlsf_advanced_news_filter_request', 1 );
	}
}

add_action( 'init', 'xmlsf_advanced_news', 9 );

/* --------------------------
 *     INITIALIZE ADMIN
 * -------------------------- */

function xmlsf_advanced_news_admin() {

	// TODO admin message here if main plugin is not activated, then short return

	$sitemaps = get_option( 'xmlsf_sitemaps' );

	if ( ! empty( $sitemaps['sitemap-news'] ) ) {
		include XMLSF_NEWS_ADV_DIR . '/controllers/admin.php';
	  include XMLSF_NEWS_ADV_DIR . '/models/admin.php';

		xmlsf_news_license_admin_nag();
	  xmlsf_news_register_settings();
		xmlsf_advanced_news_plugin_updater();

		add_filter( 'xmlsf_news_post_type_field_type', 'xmlsf_news_post_type_field_type' );
	} else {
		// TODO admin message here about plugin being useless without GN sitemap activated.
	}
}

add_action( 'admin_init', 'xmlsf_advanced_news_admin', 0 );
