<?php

function xmlsf_news_taxonomies() {
	$taxonomies = array();
	$options = get_option('xmlsf_news_tags');
	$options_adv = get_option('xmlsf_news_advanced');
	$sitemaps = (array) get_option( 'xmlsf_sitemaps' );

	if ( !isset($sitemaps['sitemap-news']) ) return;

	foreach ( (array) $options['post_type'] as $post_type ) {

		if ( !empty($options_adv['keywords_from']) && 'gn_keywords' == $options_adv['keywords_from'] ) {
			// Add new taxonomy, NOT hierarchical (like tags)
			$args = array(
				'hierarchical'          => false,
				'labels'                => array(
					'name' 				=> __('Keywords','xml-sitemap-feed'),
					//'singular_name' 	=> __('GN Keyword','xml-sitemap-feed'),
					//'all_items' 		=> __('Keywords','xml-sitemap-feed'),
					'parent_item' 		=> null,
					'parent_item_colon' => null
				),
				'show_in_rest'			=> true,
				'show_ui'               => true,
				'show_admin_column'     => false,
				'public' 				=> false,
			);
			register_taxonomy( 'gn_keywords', array( $post_type ), $args);
		}

		if ( !empty($options_adv['stock_tickers']) ) {
			// Add new taxonomy, NOT hierarchical (like tags)
			$args = array(
				'hierarchical'          => false,
				'labels'                => array(
					'name' 				=> __('Stock tickers','xml-sitemap-feed'),
					//'singular_name' 	=> __('Stock ticker','xml-sitemap-feed'),
					//'all_items' 		=> __('Stock tickers','xml-sitemap-feed'),
					'parent_item' 		=> null,
					'parent_item_colon' => null
				),
				'show_in_rest'			=> true,
				'show_ui'               => true,
				'show_admin_column'     => false,
				'public' 				=> false,
			);
			register_taxonomy( 'stock_tickers', array( $post_type ), $args);
		}
	}
}

function xmlsf_news_log_ping( $se, $sitemap, $ping_url, $response_code ) {

	$options = (array) get_option( 'xmlsf_news_advanced' );

	if ( empty($options['ping_log']) ) return;

	$max = !empty($options['ping_log_max']) && is_numeric($options['ping_log_max']) ? (int) $options['ping_log_max'] : 1000;

	$sitemaps = get_option( 'xmlsf_sitemaps' );

	if ( $sitemaps['sitemap-news'] == $sitemap ) {
		$log = get_option( 'xmlsf_news_log' );
		if ( empty( $log ) ) {
			$log = array();
		}
		$log[] = array(
			time(),
			$ping_url,
			$response_code
		);

		// keep log limited to last 1000 entries
		while ( count($log) > $max ) {
			array_shift($log);
		}

		// LOG PING
		update_option( 'xmlsf_news_log', $log, false ); // non-autoloading
	}

}
