<fieldset>
  <legend class="screen-reader-text">
		<?php _e('View log','xml-sitemap-feed'); ?>
	</legend>
  <?php if ( is_array( $log ) && !empty( $log ) ) : ?>
  <style type"text/css">
  table.ping_log { width: 100%; table-layout: fixed; border-collapse: collapse; }
  .ping_log td, .ping_log th { padding: 5px; }
  .ping_log td:nth-child(1), .ping_log th:nth-child(1) { width: 20%; }
  .ping_log td:nth-child(2), .ping_log th:nth-child(2) { width: 70%; }
  .ping_log td:nth-child(3), .ping_log th:nth-child(3) { width: 10%; }
  .ping_log thead { background-color: #333; display: block; width: 100%; }
  .ping_log th { color: #FDFDFD; }
  .ping_log tbody { display: block; overflow: auto; width: 100%; max-height: 500px; }
  .ping_log tbody tr:nth-child(even) { background-color: #DDD; }
  </style>
  <table class="ping_log">
    <thead>
      <tr>
        <th><?php _e('Time'); ?></td>
        <th><?php _e('URL'); ?></td>
        <th><?php _e('Comment'); ?></td>
      </tr>
    </thead>
    <tbody>
      <?php foreach ( $log as $row ) :
      switch( true ) {
        case $row[2] >= 200 && $row[2] < 300:
        $class = 'success';
        $status = __('Success', 'xml-sitemap-feed' );
        break;

        case 999:
        $class = 'info';
        $status = __('Skipped', 'xml-sitemap-feed' );
        break;

        case $row[2] >= 400:
        $class = 'error';
        $status = $row[2];
        break;

        default:
        $class = 'warning';
        $status = $row[2];
      } ?>
      <tr>
        <td><?php echo date_i18n( 'Y-m-d H:i:s', $row[0] ); ?></td>
        <td><?php echo $row[1]; ?></td>
        <td class="notice-<?php echo $class; ?>" style="border-left-width:4px;border-left-style:solid;"><?php echo $status; ?></td>
      </tr>
      <?php endforeach; ?>
    </tbody>
  </table>
  <p class="description">
    <?php _e('Success is good. Skipped means there was a succesful ping within the preceding 5 minutes. Other response codes generally mean problems.','xml-sitemap-feed'); ?>
  </p>
  <?php else : ?>
  <p class="description">
    <?php _e('Your ping log is empty. Publish a new post or use the Ping Google News button in the Tools section.','xml-sitemap-feed'); ?>
  </p>
  <?php endif;?>
</fieldset>
